uk.gov.hmrc.domain

# AgentCode

###
Related Docs: class AgentCode | package domain

#### object AgentCode extends (String) ⇒ AgentCode with Serializable

Linear Supertypes
Serializable, Serializable, (String) ⇒ AgentCode, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AgentCode
2. Serializable
3. Serializable
4. Function1
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### implicit val agentCodeRead: Reads[AgentCode]

5. #### implicit val agentCodeWrite: Writes[AgentCode]

6. #### def andThen[A](g: (AgentCode) ⇒ A): (String) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def compose[A](g: (A) ⇒ String): (A) ⇒ AgentCode

   Definition Classes
     Function1
   Annotations
     @unspecialized()

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from (String) ⇒ AgentCode

### Inherited from AnyRef

### Inherited from Any

### Ungrouped